GitHub user sebbASF opened an issue:

    https://github.com/apache/incubator-ponymail/issues/129

    Bug: unreachable code

    The following code is unreachable:
    
    =============
        if (!list || list.length <= 1) { // ponymail.js L3998
            
            // List may be private...who knows?
            if ((list && list.length > 1) && (!login || !login.credentials)) { 
                popup("List not found!", "Looks like this list is either not 
here or private.<br>You can try <a href='/oauth.html'>Logging in</a> to resolve 
the situation.", 60) // <= **unreachable**
            }
            else
    =====================
    
    It's not possible for list to be both false and true; nor is it possible 
for list.length to be <=1 and >1 so the popup can never be reached.

----

----


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastruct...@apache.org or file a JIRA ticket
with INFRA.
---

Reply via email to